Page MenuHomePhabricator

Implement empty state mockups for *user* talk pages (logged in)
Closed, ResolvedPublic

Description

This task is about implementing a new experience for not-yet-created user talk pages.

User stories

Understanding the purpose of the page

  • As a Junior Contributor who has clicked a link to a user talk page that not-yet-been-created, I want to instantly understand the purpose of the page [i] I am now viewing, so that I can decide whether I should engage with the page more deeply or leave/go somewhere else.
  • As a Junior Contributor who has clicked a link to a user talk page that not-yet-been-created and generally knows what the purpose of the page [i] is, I want to know where I can learn more about the page, so that I can feel more confident posting something to it.

Editing the page

  • As a Senior Contributor who has clicked a link to a user talk page that not-yet-been-created, I want to be able to add content to the page (e.g. add a template) without being constrained by the New Discussion Tool's Title / Description fields so that I can avoid having to manually type out a long message.

Copy

This section contains the UI copy

  • Title: Start a discussion with [[User:USERNAME|USERNAME]]*
    • *The username of the person whose talk page this "belongs" to.
  • Body: You can use this talk/discussion page** to start a discussion with [[User:USERNAME|USERNAME]] that will be public for others to see. [[en:wp:User_pages|Learn more about how these pages are used]]***.
  • Button copy: Start a discussion

Mockups

This ticket should have the same design as T274832, however the copy will change.

For the "splash" page:

Heading:
The conversation starts here> Create the space for conversation

Paragraph: (stays the same)

Talk pages are where people discuss how to make content on Wikipedia the best that it can be. Start this page by adding a new discussion topic to connect and collaborate with a community of Wikipedians.

Requirements

  • Mockups should be created for both desktop and mobile user experiences.

Minimum test case

Meta

  • Wiki: Beta Cluster
  • Platform: Desktop

Steps

  1. While logged in or out on the Beta Cluster, visit the talk page of a user that has not-yet-been-created (e.g. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=User_talk:JamilaRamaciotti&action=edit&redlink=1)
  2. Ensure the Quick topic adding setting is enabled (the empty state design should NOT appear if you do not have the New Discussion Tool enabled)
  3. ✅Notice the following appears on their not-yet-created user talk page:

Screen Shot 2021-08-05 at 5.46.47 PM.png (1×1 px, 231 KB)

Done

  • Designs for mobile and desktop that fulfill the stories defined above are posted to the Mockups section.

i. Purpose of the page: the space where I can communicate with another volunteer about the the edits they have made and/or may consider making to the wiki.

Event Timeline

ppelberg renamed this task from Implement empty state for not-yet-created article talk pages to Implement empty state for not-yet-created user talk pages.Feb 16 2021, 12:06 AM
ppelberg created this task.
ppelberg renamed this task from Implement empty state for not-yet-created user talk pages to Implement empty state for other users' not-yet-created user talk pages.Mar 12 2021, 6:06 PM
ppelberg updated the task description. (Show Details)
ppelberg added a subscriber: iamjessklein.

Meta
I've updated the task description with user stories.

Next step

ppelberg renamed this task from Implement empty state for other users' not-yet-created user talk pages to Create empty state mockups for other users' not-yet-created user talk pages.Mar 12 2021, 6:08 PM
ppelberg renamed this task from Create empty state mockups for other users' not-yet-created user talk pages to Create empty state mockups for *user* talk pages.Mar 12 2021, 6:14 PM

This ticket should have the same design as T274832, however the copy will change.

For the "splash" page:

Heading:

The conversation starts here> Create the space for conversation

Paragraph:

Talk pages are where people discuss how to make content on Wikipedia the best that it can be. Start this page by adding a new discussion topic to connect and collaborate with a community of Wikipedians. ->
User Talk pages are where people discuss and share information on how to make content on Wikipedia the best that it can be. Start this page by adding a new discussion topic to connect and collaborate with a community of Wikipedians. If this is your page, log in to start creating the page.

I'm imagining that the log in link in would open up the log in flow. a) Is this possible? b) can @Whatamidoing-WMF and @ppelberg review this copy?

About If this is your page, log in to start creating the page. I believe that it's easy to link to the login page, and that it _might_ be possible to only show this line to people who are not logged in.

Also: Being logged in isn't a requirement for creating a User_talk: page at most wikis, and do we really want people to create their own User_talk: pages? It's not forbidden, but what's the point in talking to yourself?

If this is your page, log in to start creating the page.

In addition to @Whatamidoing-WMF said, anons can also have talk pages. If an anon logs in, the IP talk page no longer belongs to them.

[…] do we really want people to create their own User_talk: pages? It's not forbidden, but what's the point in talking to yourself?

I recall seeing someone who started conversations with others on this user’s own user talk page by pinging them. Pretty weird, but not without an example. Also, not being able to create one’s own talk page [using DiscussionTools] while all other talk pages on the wiki can be created is probably much more confusing.

Okay good points @Whatamidoing-WMF and @Tacsipacsi - I'll remove the If this is your page, log in to start creating the page... from the mockup.

Re:

I recall seeing someone who started conversations with others on this user’s own user talk page by pinging them. Pretty weird, but not without an example. Also, not being able to create one’s own talk page [using DiscussionTools] while all other talk pages on the wiki can be created is probably much more confusing.

@ppelberg @Whatamidoing-WMF Is there a reason why don't automatically create this page for users when they create an account?
If we did then we could design your user page more intentionally.

Just discussing this ticket with @ppelberg - since this ticket is about a user talk page (not /your/ user talk page) we are good to go to move this over into implementation. I've updated the description and will move on workboard and remove myself as assignee.

iamjessklein renamed this task from Create empty state mockups for *user* talk pages to Implement empty state mockups for *user* talk pages.Jul 1 2021, 11:56 PM
iamjessklein removed Whatamidoing-WMF as the assignee of this task.

Change 708713 had a related patch set uploaded (by DLynch; author: DLynch):

[mediawiki/extensions/DiscussionTools@master] Apply an empty-state to pages with the new topic tool enabled

https://gerrit.wikimedia.org/r/708713

ppelberg renamed this task from Implement empty state mockups for *user* talk pages to Implement empty state mockups for *user* talk pages (logged in).Jul 30 2021, 5:54 PM

@DLynch: are you able to adjust the implementation to include the copy I've posted to the task description?

**Whatever word the local project uses to call talk pages.

We don't do this in any other messages (we mostly use "talk page"). The translators can adjust it, but that's language-specific rather than project-specific.

***This link should link to the local project's equivalent page: https://www.wikidata.org/wiki/Q4592334.

I don't think I can do that. I don't know of a way to write a wikilink that disambiguates itself through wikidata. (We'd also be adding a dependency on wikidata, which would be weird.) The linked pages aren't consistently in the same namespace, also, so I can't just fall back on {{ns:project}}. I could leave it up to translators... but, again, that's language-specific rather than technically project-specific.

**Whatever word the local project uses to call talk pages.

We don't do this in any other messages (we mostly use "talk page"). The translators can adjust it, but that's language-specific rather than project-specific.

I've been operating with the assumption that we can and do localize "talk page" to match the language local projects use in the interface, per T259943#6447062.

...@DLynch might how I'm thinking about this be different from what's actually been implemented?

Mm, I might be being too picky about this.

What we’re doing in most of our translations is leaving it up to the translator what term is used. This does mean that if you’re viewing enwiki in German, you’re going to see it using the same terminology as on dewiki. There’s a notional difference between a project and a language, which is what I’m being picky about, but I suspect in practice the effect is what you want.

I've been operating with the assumption that we can and do localize "talk page" to match the language local projects use in the interface, per T259943#6447062.

That one was specifically talking about the preferences heading, I believe. In that case, we're using the core translation prefs-discussion which the project may or may not have updated to match their labeling for the talk namespace (but if they haven't, they've had years to do so and probably don't care).

E.g. you'll note that on enwiki the talk message has been overridden from the default "Discussion" to "Talk", but the prefs-discussion message is still the default "Discussion pages" (as you can see in the editing-settings).

image.png (414×816 px, 50 KB)

You can use this talk/discussion page to start a discussion with [[User:USERNAME|USERNAME]] that will be public for others to see. You can learn more about this page [[en:wp:User_pages|here]]*.

**Whatever word the local project uses to call talk pages.

  • DECISION: we'll leave it up to the translators and projects to ensure the language used for "talk page" aligns with the copy used in said projects' interface messages

[[en:wp:User_pages|here]]

  • DECISION: We're going to create the messages based on the pages linked on Wikidata when we deploy to them.

Change 708713 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] Apply an empty-state to pages with the new topic tool enabled

https://gerrit.wikimedia.org/r/708713

Ryasmeen updated the task description. (Show Details)

Change 711670 had a related patch set uploaded (by DLynch; author: DLynch):

[mediawiki/extensions/DiscussionTools@master] Apply design tweaks to empty states

https://gerrit.wikimedia.org/r/711670

Design tweaks:

  1. Reduce image size to 75%
  2. Revert the override on spacing

cc @DLynch

This should obviously apply to: T274831 T274832 T277329

I'm going to make a separate ticket about copy.

Change 711670 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] Apply design tweaks to empty states

https://gerrit.wikimedia.org/r/711670